XBANISH(1)

NAME
xbanish - hide the X11 mouse cursor when a key is pressed

SYNOPSIS
xbanish [-a] [-d] [-i modifier] [-m [w]nw|ne|sw|se] [-t seconds] [-s]

DESCRIPTION
xbanish hides the X11 mouse cursor when a key is pressed. The cursor is shown again when it is moved or a mouse button is pressed. This is similar to the xterm(1) setting pointerMode but the effect is global in the X11 session.

OPTIONS

-a  Always keep mouse cursor hidden while xbanish is running.

-d  Print debugging messages to stdout.

-i modifier
    Ignore pressed key if modifier is used. Modifiers are: shift, lock (CapsLock), control, mod1 (Alt or Meta), mod2 (NumLock), mod3 (Hyper), mod4 (Super, Windows, or Command), mod5 (ISO Level 3 Shift), and all

-m [w]nw|ne|sw|se
    When hiding the mouse cursor, move it to this corner of the screen or current window, then move it back when showing the cursor.

-t seconds
    Hide the mouse cursor after seconds have passed without mouse movement.

-s  Ignore scrolling events.

SEE ALSO
XFixes(3)

AUTHORS
xbanish was written by joshua stein <jcs@jcs.org>.